Name:           eina
Version:        0.7.3
Release:        1%{?dist}
Summary:        A classic player for a modern era

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://eina.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         eina-0.7.3-gtkversion.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
BuildRequires:  gstreamer-devel 
BuildRequires:  intltool 
BuildRequires:  gtk2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  unique-devel
BuildRequires:  sqlite-devel
      

%description
Eina works like a common portable music player. Just plays what you want 
to listen.

Apart from simplicity, today users expect more from a player than just 
reading files. Artwork, lyrics, network support, artist data and other 
music information find their right place in Eina.

Plugins can take care of all the extra functionality, since Eina exposes 
everything from its internals. It's fairly easy to extend the player 
capabilities and change the way it works inside. Feel free to request new 
features and make things the way you like. 


%package devel
Summary:    A Eina development environment
Group:      Development/Languages
Requires:   %{name} = %{version}

%description devel
Header files and libraries for building a extension library for the
Eina.

%prep
%setup -q
%patch0 -p1 -b .gtkversion

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
# Modify eina.desktop
sed -i 's/Audio;Player/AudioVideo/g' \
$RPM_BUILD_ROOT%{_datadir}/applications/eina.desktop
sed -i 's/StartupNotify=false/StartupNotify=true/g' \
$RPM_BUILD_ROOT%{_datadir}/applications/eina.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT TODO
%{_bindir}/eina
%{_datadir}/applications/eina.desktop
%dir %{_datadir}/eina
%{_datadir}/eina/*
%dir %{_libdir}/eina
%exclude %{_libdir}/eina/adb/libadb.a
%exclude %{_libdir}/eina/adb/libadb.la
%{_libdir}/eina/adb/libadb.so
%exclude %{_libdir}/eina/coverplus/libcoverplus.a
%exclude %{_libdir}/eina/coverplus/libcoverplus.la
%{_libdir}/eina/coverplus/libcoverplus.so
%exclude %{_libdir}/eina/recently2/librecently2.a
%exclude %{_libdir}/eina/recently2/librecently2.la
%{_libdir}/eina/recently2/librecently2.so
%exclude %{_libdir}/libgel.a
%exclude %{_libdir}/libgel.la
%{_libdir}/libgel.so.0
%{_libdir}/libgel.so.0.0.0
%exclude %{_libdir}/liblomo-1.0.a
%exclude %{_libdir}/liblomo-1.0.la
%{_libdir}/liblomo-1.0.so.1
%{_libdir}/liblomo-1.0.so.1.0.0


%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Feb 02 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-1
- Initial rpm release.
